Problem Eclipse > Run App auf HTC Desire

  • 5 Antworten
  • Neuester Beitrag
Diskutiere Problem Eclipse > Run App auf HTC Desire im Android App Entwicklung im Bereich Betriebssysteme & Apps.
S

Schorschi1982

Neues Mitglied
Hallo,

ich wollte eine Test Android App (hello World) für mein HTC Desire s schreiben

mit meinem PC mit Windows 7 64 Bit und Eclipse mit Android Tools etc...

Im Emulator hat das auch soweit funktioniert.

Mein Problem ist jetzt das Übertragen zum Handy:

Ich habe usb-debugging eingestellt, treiber installiert, htc sync etc ...

unter "adb devices" sehe ich das HTC Desire und in der geräteverwaltung und

im Eclipse unter "Open Perspective" -> "DDBM" wird es angezeigt.

laut stundenlanger Recherche sollte jetzt unter "Run" das HTC als Auswahl kommen,

es kommt aber immer nur der Emulator.

Auch das Kopieren der ".apk" Datei auf das Handy ging nicht,

weil immer Parsing Error im Package kam.

Kann es ein Problem sein, dass ich in Eclipse nur für Android 2.3.3 entwicklen kann

und mein HTC 2.3.5 hat ?

Hat irgendjemand eine Idee ?

Ich meine, wenn es im Eclipse schon erkannt wird, dann dürfte es doch eigentlich jetzt

nicht mehr allzu viel fehlen, damit ich endlich mal mein Hello World Programm auch auf

meinem HTC Desire laufen lassen kann ?

Vielen Dank für jeden Hinweis !!!
 
M

Madlip

Gast
nur noch mal zum verständnis, du klickst mit rechtsklick auf dein projekt -> ausführen als android application und dann erscheint ein Dialog, wo du devices aussuchen und ggf starten kannst? Bei diesen Dialog müsstest du doch dein device aussuchen können.

zu der apk geschichte. du gehst in dein projekt unter den ordner "bin" da findest du auch ein apk, versuch diese mal auf dein Handy zu installieren.
 
S

Schorschi1982

Neues Mitglied
ja genau, mein Problem ist, dass dieser Dialog genau NICHT erscheint,
wenn ich auf ausführen gehe, es geht sofort der Emulator auf ...

aber im eclipse unter "open perspective -> ddbm" sehe ich mein HTC handy
als online, kann dort mir auch den Bildschirm vom handy anzeigen lassen etc.. das geht alles !!!

was muss ich jetzt noch machen, damit meine App auch auf diesem Ausgabegerät gestartet wird. Ich kriege immer nur den Emulator, egal wie ichs mache.

apk: genau so wollte ich es machen, aber dann bringt er schon die meldung "package parsing error", evtl. fehlen da noch weitere dateien neben dieser apk oder das problem ist, dass ich in eclipse für android 2.3.3 entwickelt habe, aber mein htc eben 2.3.5 hat ...

wie gesagt ich bin total überfragt und habe schon einiges rumprobiert ...
 
S

swordi

Lexikon
hast du einstellungen in der manifest, dass dein handy ausschließt?

wenn eclipse kein passendes gerät findet, startet es einen passenden emulator.
 
M

Madlip

Gast
geh mal unter Run Configurations im eclipse und schau mal was auf den Reiter Target bei dir eingestellt ist. Ich hab da standard mäßig "always prompt to pick device.

Aber dass das mit der apk nicht geht wundert mich nun aber schon stark.

und das du im eclipse auf 2.3.3 programmiert hast ist kein Problem, ich kann auch 2.3 applikationen auf mein 4.1 laufen lassen
 
S

Schorschi1982

Neues Mitglied
erstmal vielen dank für eure antworten,

was muss denn in der manifest datei stehn ? ich hab da nix geändert oder müsste ich da was ändern ?

genau bei runconfigurations "target" da steht nämlich wiederum nur der emulator drin und nicht das HTC, das finde ich nämlich nur unter "open perspective -> ddbm".
 
Ähnliche Themen - Problem Eclipse > Run App auf HTC Desire Antworten Datum
2
1